installer changes for Firefox 1.0.7 / Mozilla 1.7.12 to remove files from IDN XPI

RESOLVED FIXED

Status

()

RESOLVED FIXED
13 years ago
13 years ago

People

(Reporter: dbaron, Assigned: mscott)

Tracking

({fixed-aviary1.0.7, fixed1.7.12, fixed1.8})

unspecified
fixed-aviary1.0.7, fixed1.7.12, fixed1.8
Points:
---
Bug Flags:
blocking-aviary1.0.7 +

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(2 attachments)

For Firefox 1.0.7 and Mozilla 1.7.12, we need changes to the installer script to
remove the files that were installed by the XPI used to temporarily disable IDN
(see bug 307259).  These should probably go on the trunk and 1.8 branch as well,
since some users of other releases may have installed the XPI, and some people
may upgrade from e.g., a XPI-ed 1.0.6 directly to Firefox 1.5 beta2.

See also bug 307259 comment 34 through bug 307259 comment 58.
Flags: blocking-aviary1.0.7+
(Assignee)

Comment 1

13 years ago
Created attachment 195842 [details] [diff] [review]
Fix For Firefox
Attachment #195842 - Flags: superreview?(dbaron)
Attachment #195842 - Flags: superreview?(dbaron) → superreview+
(Assignee)

Comment 2

13 years ago
Comment on attachment 195842 [details] [diff] [review]
Fix For Firefox

self approving for 1.0.7 and 1.8b5
Attachment #195842 - Flags: approval1.8b5+
Attachment #195842 - Flags: approval-aviary1.0.7+
(Assignee)

Comment 3

13 years ago
Created attachment 195844 [details] [diff] [review]
and the corresponding suite change

Note: I don't have a suite installer build so I haven't actually verified that
this patch works but it's pretty straightforward :)
Attachment #195844 - Flags: superreview?(dbaron)
Comment on attachment 195844 [details] [diff] [review]
and the corresponding suite change

In theory you may want to change the OS/2 one as well, although it doesn't
currently delete any pref files, which seems a little suspicious to me, so
either way.
Attachment #195844 - Flags: superreview?(dbaron) → superreview+
(Assignee)

Comment 5

13 years ago
both patches checked into the trunk and 1.8

fx patch checked into aviary 1.0.7

suite patch checked into mozilla 1.7 branch
Status: NEW → RESOLVED
Last Resolved: 13 years ago
Keywords: fixed-aviary1.0.7, fixed1.7.12, fixed1.8
Resolution: --- → FIXED

Comment 6

13 years ago
Verifying on nightly 9-13 - for windows:
    1) Install FF 1.0.6
    2) Install XPI - confirm (No IDN) in about and enableIDN=false
    3) Install FF 1.0.7 Nightly 9-13
    4) Confirm About contains FF 1.0.7 only [i.e. No IDN is gone)
    5) Confirm that enable IDN is true
Can we triple-check mac/linux?
 
Verified on Mac using Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
rv:1.7.12) Gecko/20050915 Firefox/1.0.7 - I get the same results as in Comment 6. 

We should re-check this on Windows and Linux with the latest candidate build.
Verified on Windows - Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12)
Gecko/20050915 Firefox/1.0.7 using the candidate build stamped 2005-09-15-18. We
should verify on Linux and then we have the trifecta.
You need to log in before you can comment on or make changes to this bug.